services.createWindow(async () => { 
    /**
     * CODE OF SERVICE.JS
    */
    const allServices = new Array()

    const View = new ViewWindow({
        title: '<i class="fa fa-layer-group"></i> Gestion des services',
        width: "700px",
        height: "600px"
    })

    const subsonicsService = new Service({
        name: "Subsonics",
        description: "Bot de streaming musical sur Discord",
        icon: "/images/services/subsonics.png",
        url: "https://subsonics.raphix.fr" ,
        canAccess: true,
        View: View

    })

    const giteaService = new Service({
        name: "Gitea",
        description: "Gestionnaire de dépôt Git",
        icon: "/images/services/gitea.svg",
        url: "https://git.raphix.fr" ,
        canAccess: true,
        View: View

    })

    const jenkinsService = new Service({
        name: "Jenkins",
        description: "Gestionnaire de pipeline",
        icon: "/images/services/jenkins.svg",
        url: "https://jenkins.raphix.fr" ,
        canAccess: true,
        View: View

    })

    const raphixwebsite = new Service({
        name: "Raphix.fr",
        description: "Site web de Raphix",
        icon: "/images/services/raphix.png",
        url: "https://raphix.fr",
        canAccess: true,
        View: View

    })

    const cvraphix = new Service({
        name: "CV Raphix",
        description: "Curriculum Vitae de Raphix",
        icon: "/images/services/cv.png",
        url: "https://cv.raphix.fr",
        canAccess: true,
        View: View
    })

    const lavalink = new Service({
        name: "Lavalink",
        description: "Serveur Lavalink pour Subsonics",
        icon: "/images/services/lavalink.svg",
        url: "http://omega.raphix.fr:2333",
        canAccess: false,
        View: View
    })
    
    allServices.push(subsonicsService.generateHTML())
    allServices.push(lavalink.generateHTML())
    allServices.push(giteaService.generateHTML())
    allServices.push(jenkinsService.generateHTML())
    allServices.push(raphixwebsite.generateHTML())
    allServices.push(cvraphix.generateHTML())

    View.setContent(`<div class='sv-list'>${allServices.join("")}</div>`)

    await subsonicsService.loadScript()
    await giteaService.loadScript()
    await jenkinsService.loadScript()
    await raphixwebsite.loadScript()
    await cvraphix.loadScript()
    await lavalink.loadScript()

})

